Subject: Re: B19: G++ Bug
From: [email-masked] (Mumit Khan)

31 Aug 1998 10:34:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Cramer Soft <[email-masked]>
Cc: [email-masked]

On Sun, 30 Aug 1998, Cramer Soft wrote:

> I'm not sure if this is the place to post this as it's
> probably a (well known?) bug with g++ but here are the details:
> 
> ==================bug1.cc==============================
> #include<iostream.h>
> 
> class Test 
> {
> public:  
>   Test() { cout << "Creating Test\n"; }
>   ~Test() { cout << "Destroying Test\n"; }
> };
> 
> Test aTest;
> 

[ the program dies! ]

> Is there a later version/another g++ compiler
> I ought to be using?  Thanks --Andrew 

Yes, you should be using a newer version, specifically the egcs version
from http://www.xraylith.wisc.edu/~khan/software/gnu-win32/. Good news
is that *lots* of bugs are fixed; bad news is that this bug remains and 
I haven't had time to look at this. I don't know how cygwin dll
initializes stdio at startup, and this I suspect is tied to that.

Don't shoot the messenger ;-)

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".